/* app-window.h
 *
 */


#ifndef HAVE_APP_WINDOW_H
#define HAVE_APP_WINDOW_H


#define COLUMN_DATA  0


enum {
    COLUMN_CATEGORY_DATA = 0,
    COLUMN_CATEGORY_TITLE,
    COLUMN_CATEGORY_CARD_COUNT,
    CATEGORIES_N_COLUMNS
};


enum {
    COLUMN_CARD_DATA = 0,
    COLUMN_CARD_FRONT,
    COLUMN_CARD_BACK,
    COLUMN_CARD_GROUP,
    COLUMN_CARD_CREATED,
    COLUMN_CARD_TESTED,
    COLUMN_CARD_EXPIRED,
    COLUMN_CARD_EXPIRY,
    CARDS_N_COLUMNS
};


void        app_window (Ignuit *ig);

void        app_window_update_appbar (Ignuit *ig);

void        app_window_update_title (Ignuit *ig);

/* void        app_window_update_save_widgets (Ignuit *ig); */

void        app_window_refresh_card_pane (Ignuit *ig, GList *cards);

GList*      app_window_get_category_list (Ignuit *ig);

#if 0
GList*      app_window_find_treev_iter (GtkTreeView *treev,
                GtkTreeIter *iter, GList *search);
#endif

GList*      app_window_find_treev_iter_with_data (GtkTreeView *treev,
                GtkTreeIter *iter, gpointer data);

void        app_window_refresh_category_row (Ignuit *ig, Category *cat);

void        app_window_refresh_card_row (Ignuit *ig, GList *item);

void        app_window_add_card_iter (Ignuit *ig,
                GtkTreeIter *iter, GList *item);

gboolean    app_window_select_card (Ignuit *ig, GList *item);

gboolean    app_window_select_category (Ignuit *ig, GList *item);

void        app_window_make_trash (Ignuit *ig);

gboolean    ask_yes_or_no (GtkWindow *parent, const gchar *question,
                GtkResponseType def);


#endif /* HAVE_APP_WINDOW_H */

